[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.BeforeRefresh

Event triggered before the data is refreshed.

## Declaration

Source position: db.pas line 1663

`public property TDataSet.BeforeRefresh : TDataSetNotifyEvent read FBeforeRefresh write FBeforeRefresh;`

## Description

BeforeRefresh is triggered at the start of the TDataset.Refresh method, after the dataset has been put in browse mode. If the dataset cannot be put in browse mode, the BeforeRefresh method wil not be triggered. If an exception is raised during the BeforeRefresh method, then the refresh method is cancelled and the dataset remains in the dsBrowse state.

## See also

TDataset.Refresh |  | Refresh the records in the dataset
TDataset.AfterRefresh |  | Event triggered after the data has been refreshed.
TDataset.State |  | Current operational state of the dataset

Documentation generated on: Feb 26 2014